html,
body {
    height: 100%;
}

body {
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Open Sans', sans-serif;
    color: white;
    background-image: url('/assets/images/pattern.jpg');
    background-size: 20%;
}

.the-cat {
    transition: background-image .5s;
    background-image: url('/assets/images/cat1.jpg');
    width: 400px;
    height: 500px;
    background-size: cover;
    position: relative;
    background-repeat: no-repeat;
}

.the-cat:hover {
    background-image: url('/assets/images/cat2.jpg');
}

.cat-links {
    display: none;
    position: absolute;
    bottom: 10px;
    width: 100%;
    justify-content: center;
    align-items: center;
    font-size: 0.8rem;
}

.cat-link {
    display: inline-block;
    height: 16px;
    margin-left: 5px;
    color: white;
}

.cat-link:hover {
    color: orange;
}

.the-cat:hover .cat-links {
    display: flex;
}

.buffer {
    opacity: 0;
    position: fixed;
    width: 0;
    height: 0;
    background-image: url('/assets/images/cat2.jpg');
}

@media screen and (max-width: 576px) {
    .the-cat {
        width: 100%;
        height: 100%;
    }

    .cat-links {
        display: flex;
    }
}